# core.demangle

The demangle module converts mangled D symbols to a representation similar to what would have existed in code.
License:
Boost License 1.0.
Authors:
Sean Kelly

char[] demangle(const(char)[] buf, char[] dst = null);
  Demangles D mangled names. If it is not a D mangled name, it returns its argument name.
  Params:

  const(char)[] buf | The string to demangle.
  char[] dst | An optional destination buffer.

  Returns:
  The demangled name or the original string if the name is not a mangled D name.

Page generated by Ddoc. Copyright Sean Kelly 2010 - 2010.